## diffutils 2.8.1-12

=== debian/changelog ===
diffutils (2.8.1-12) unstable; urgency=low

  * Changed -O2 to -Os 

 -- Faheem Pervez <trippin1@gmail.com>  Sun, 12 Oct 2008 17:25:35 +0100

diffutils (2.8.1-11) unstable; urgency=low

  * Changed default value of _POSIX2_VERSION in lib/posixver.c to
    199209 to not break backwards compatibility (Closes: #295421).
    People should be encouraged to set _POSIX2_VERSION="200112" in
    the environment, see what breaks, and fix it, as this change
    should be reverted some day after the release of sarge.

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 Feb 2005 22:45:18 +0100

diffutils (2.8.1-10) unstable; urgency=low

  * Suggests: diff-doc (Closes: #294211).
  * Added a debian/watch file (Closes: #294834).

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Feb 2005 19:06:28 +0100

diffutils (2.8.1-9) unstable; urgency=low

  * Fixed typo in the copyright file.

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Jan 2005 16:38:26 +0100

diffutils (2.8.1-8) unstable; urgency=low

  * Repackaged source without the GFDL-covered manual. Closes: #212523.
  * Source is renamed to "diffutils" to make the archive scripts happy.
  * Removed texinfo and texi2html from Build-Depends, no longer needed.
  * Dropped diff-doc, will be generated from another source.
  * Added appropriate --build and --host options to ./configure call in
    debian/rules to support cross-compilation. Closes: #283642.

 -- Santiago Vila <sanvila@debian.org>  Sat,  8 Jan 2005 19:09:00 +0100

diff (2.8.1-7) unstable; urgency=low

  * Moved info manual to diff-doc to address Bug#212523 partially.
  * Added appropriate Replaces field to diff-doc.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Wed, 24 Nov 2004 19:01:10 +0100

diff (2.8.1-6) unstable; urgency=low

  * Fixed sdiff manpage (Closes: #219166).

 -- Santiago Vila <sanvila@debian.org>  Wed,  5 Nov 2003 10:55:58 +0100

diff (2.8.1-5) unstable; urgency=low

  * Updated config.guess and config.sub for GNU/KFreeBSD (Closes: #216779).

 -- Santiago Vila <sanvila@debian.org>  Tue, 21 Oct 2003 15:26:22 +0200

diff (2.8.1-4) unstable; urgency=low

  * Modified doc/Makefile.in so that it *never* uses install-info.
    This is a workaround for an automake bug triggered by the fact that
    install-info --version now outputs to stdout (Closes: #213495).

 -- Santiago Vila <sanvila@debian.org>  Wed,  1 Oct 2003 12:35:02 +0200

diff (2.8.1-3) unstable; urgency=low

  * Converted Debian changelog to UTF-8.
  * Made sdiff -E to work (Closes: #212954).

 -- Santiago Vila <sanvila@debian.org>  Mon, 29 Sep 2003 23:50:50 +0200

diff (2.8.1-2) unstable; urgency=low

  * Removed doc symlinks.
  * Updated DEB_BUILD_OPTIONS handling (added noopt, removed debug).
  * Updated config.sub/config.guess for netbsd (Closes: #179701).

 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Apr 2003 22:17:04 +0200

diff (2.8.1-1) unstable; urgency=low

  * New upstream release.
  * There are upstream manpages now, generated by help2man.
  * The ranges feature by Peter Samuelson is now implemented upstream,
    but using a slightly different syntax.

 -- Santiago Vila <sanvila@debian.org>  Sat, 20 Jul 2002 12:51:04 +0200

diff (2.7-29) unstable; urgency=low

  * The DIFF environment variable is now ignored by sdiff, this feature was
    undocumented and will be removed in the next stable diffutils release.
    Thanks to Patrik Hägglund (Closes: #66486).

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Mar 2002 00:40:34 +0100

diff (2.7-28) unstable; urgency=medium

  * Fixed yet another bug in the ranges feature, where cmp -i misreports
    the byte number where files differ. Thanks to Tim Bell (Closes: #120583).

 -- Santiago Vila <sanvila@debian.org>  Fri, 23 Nov 2001 09:52:08 +0100

diff (2.7-27) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 16:32:02 +0100

diff (2.7-26) unstable; urgency=medium

  * Fixed a bug (introduced in diff_2.7-24) where cmp reports the wrong char
    number where files differ. Thanks to Gergely Risko (Closes: #109683).

 -- Santiago Vila <sanvila@debian.org>  Thu, 23 Aug 2001 12:55:33 +0200

diff (2.7-25) unstable; urgency=low

  * Rightly refer to the GNU General Public License in the copyright file.
    Reported by André Dahlqvist (Closes: #102236).
  * Registered HTML docs using doc-base.

 -- Santiago Vila <sanvila@debian.org>  Thu, 28 Jun 2001 19:03:34 +0200

diff (2.7-24) unstable; urgency=low

  * Fixed a bug (introduced in diff_2.7-19) where cmp -l may misreport the
    byte number of the differences it finds (Closes: #89755).
    Thanks to Vasco Pedro <vp@host.di.uevora.pt>.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Mar 2001 18:12:04 +0100

diff (2.7-23) unstable; urgency=low

  * Changed cmp doc to read 'byte number' instead of offset.
    Patch by Peter Muir <muirp@ieels.com>. Closes: #59514.
  * Build-Depends: texinfo, since .texi source is now modified.
  * Build-Depends-Indep: texi2html, not tetex-bin. Closes: #86580.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Feb 2001 19:09:17 +0100

diff (2.7-22) unstable; urgency=low

  * Removed old doc.Makefile from source, we already provide HTML.
  * Updated upstream source URL in copyright file.
  * Build-Depends-Indep: tetex-bin.

 -- Santiago Vila <sanvila@debian.org>  Wed,  3 Jan 2001 18:28:58 +0100

diff (2.7-21) frozen unstable; urgency=high

  * Avoid race condition in sdiff.c (edit) when creating temporary file.
    Patch by the upstream maintainer, Paul Eggert <eggert@twinsun.com>.
    Thanks to Colin Phipps <crp22@cam.ac.uk> for the report (Closes: #59730).
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@ctv.es>  Sat,  6 May 2000 18:20:38 +0200

diff (2.7-20) unstable; urgency=low

  * Fixed cmp manpage. Patch by Daniel Martin <Daniel.Martin@jhu.edu>.
  * Switch back to /usr/doc/diff.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 21 Sep 1999 12:49:44 +0200


