## diffutils 3.0

=== debian/changelog ===
diffutils (1:3.0-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 04 May 2010 20:38:00 +0200

diffutils (1:2.9-4) unstable; urgency=medium

  * Applied improved patch from Paul Eggert to fix Bug #577832.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Apr 2010 15:03:40 +0200

diffutils (1:2.9-3) unstable; urgency=medium

  * Fixed regression where newline is added to a line not having a newline.
    Reported by Timo Juhani Lindfors. Patch by Jim Meyering. Closes: #577832.
  * Switch to 3.0 (quilt) source format, 2 patches.
  * Drop unused INSTALL_PROGRAM stuff.

 -- Santiago Vila <sanvila@debian.org>  Fri, 16 Apr 2010 00:29:16 +0200

diffutils (1:2.9-2) unstable; urgency=low

  * Applied patch from Raphael Hertzog which reverts upstream commit that
    changed "Binary files %s and %s differ" into "Files %s and %s differ",
    as the new output breaks dpkg-dev.

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Feb 2010 11:39:46 +0100

diffutils (1:2.9-1) unstable; urgency=low

  * New upstream release, now under GPL version 3 or later.
  * There is now a --tab-size option. Closes: #82923.
  * Manpage for cmp describes exit status. Closes: #200614.
  * Manpage for diff describes exit status. Closes: #228441, #473233.
  * The file de.po is now more recent. Closes: #313686.
  * Fixed bad sdiff behaviour. Closes: #320222.
  * Added wdiff to Suggests. Closes: #324627.
  * Fixed cmp behaviour regarding stdout and stderr. Closes: #356083.
  * The file ru.po is now more recent. Closes: #409274.
  * The file es.po is now more recent. Closes: #418005, #481708.
  * The file nl.po is now more recent. Closes: #427370.
  * Modified watch file to use http instead of ftp.
  * Removed .comment section from executables.
  * Added Homepage field to control file.

 -- Santiago Vila <sanvila@debian.org>  Sat, 13 Feb 2010 11:49:00 +0100

diffutils (1:2.8.1-18) unstable; urgency=medium

  * Modify Replaces field so that it includes old releases of diff in
    experimental. Closes: #546364. Note: This will make diff 2.8.7
    to "upgrade" to diffutils 2.8.1 if you don't have experimental in
    sources.list anymore. Those who really want diffutils 2.8.7 should
    keep experimental in sources.list.

 -- Santiago Vila <sanvila@debian.org>  Sun, 13 Sep 2009 11:13:04 +0200

diffutils (1:2.8.1-17) unstable; urgency=medium

  * Made diff to Pre-Depend on diffutils, as it's proper for the transition
    of an essential package. Thanks, Steve Langasek.

 -- Santiago Vila <sanvila@debian.org>  Tue,  8 Sep 2009 15:32:42 +0200

diffutils (1:2.8.1-16) unstable; urgency=low

  * Added epoch to fix upload mistake.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2009 12:46:12 +0200

diffutils (2.8.1-15) unstable; urgency=low

  * Use the new binary package name in the extended description.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2009 20:29:24 +0200

diffutils (2.8.1-14) unstable; urgency=low

  * Updated config.guess and config.sub.
  * Renamed diff package to diffutils. Closes: #539517.
  * Changed section to utils, following the override file.
  * Package diff is now a transition package (extra/oldlibs).
  * Changed Suggests to diffutils-doc, which is also renamed.
  * Do not ignore errors from make distclean (lintian warning).

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2009 14:38:30 +0200

diffutils (2.8.1-13) unstable; urgency=low

  * Fixed --ignore-file-name-case. Patch from Ubuntu. Closes: #300258.
  * Modified debian/rules to support cross-build. Closes: #451159.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 May 2009 18:00:00 +0200
