=== debian/control ===
Source: diffutils
Section: utils
Priority: required
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/diffutils/

Package: diffutils
Essential: yes
Architecture: any
Pre-Depends: ${shlibs:Depends}
Replaces: diff
Suggests: diffutils-doc, wdiff
Description: File comparison utilities
 The diffutils package provides the diff, diff3, sdiff, and cmp programs.
 .
 `diff' shows differences between two files, or each corresponding file
 in two directories.  `cmp' shows the offsets and line numbers where
 two files differ.  `cmp' can also show all the characters that
 differ between the two files, side by side.  `diff3' shows differences
 among three files.  `sdiff' merges two files interactively.
 .
 The set of differences produced by `diff' can be used to distribute
 updates to text files (such as program source code) to other people.
 This method is especially useful when the differences are small compared
 to the complete files.  Given `diff' output, the `patch' program can
 update, or "patch", a copy of the file.

Package: diff
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: diffutils
Description: dummy transitional package for diff -> diffutils
 This is a dummy package to aid in transitioning from diff to diffutils.
 It may be safely removed after upgrading to squeeze.
