## diffutils 3.2

=== debian/changelog ===
diffutils (1:3.2-1ubuntu1) precise; urgency=low

  * Ensure correct strip is called when cross-building (LP: #957353)

 -- Wookey <wookey@wookware.org>  Fri, 16 Mar 2012 19:15:24 +0000

diffutils (1:3.2-1) unstable; urgency=low

  * New upstream release.
  * Manual license is now GFDL without cover or back texts, which means
    we can generate diffutils-doc from this source package again.
  * Moved info manual to diffutils. Now diffutils-doc has only HTML.
  * However, no need to add Replaces: diffutils-doc (<= 2.8.1-14)
    to diffutils, as old diff.info is now diffutils.info.
  * Info manual now clearly states that regular expressions are
    to be considered `grep'-style. Closes: #287682.
  * Fixed cmp manpage where it wrongly suggested "info diff" instead
    of "info cmp". Closes: #434214.
  * Manpage has improved a bit about format options. Closes: #547691.
  * Recursive diff now avoids printing excess slashes in concatenated
    file names. Closes: #586301.
  * Behaviour of --ignore-all-space has been clarified about what
    is to be considered "white space". Closes: #613319.
  * Fixed reporting of spurious differences. Closes: #633978.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Oct 2011 16:47:44 +0200
