=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: diffutils
 Section: utils
 Priority: required
-Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
+Build-Depends-Indep: texi2html (>= 1.82)
+Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/diffutils/
 
 Package: diffutils
 Essential: yes
 Architecture: any
 Pre-Depends: ${shlibs:Depends}
+Depends: dpkg (>= 1.15.4) | install-info
 Replaces: diff
 Suggests: diffutils-doc, wdiff
 Description: File comparison utilities
@@ -34,3 +37,10 @@
 Description: dummy transitional package for diff -> diffutils
  This is a dummy package to aid in transitioning from diff to diffutils.
  It may be safely removed after upgrading to squeeze.
+
+Package: diffutils-doc
+Section: doc
+Priority: optional
+Architecture: all
+Description: Documentation for GNU diffutils in HTML format
+ This package contains the HTML documentation for GNU diffutils.
