=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/diffutils/diffutils-(.*)\.tar\.gz
