## diffutils 3.3

=== debian/changelog ===
diffutils (1:3.3-3) unstable; urgency=medium

  * build-aux/update-copyright: Add escapes for braces in perl regex.
    New perl 5.22 gives a deprecation warning on stderr, making
    test-update-copyright.sh to fail, making the package to FTBFS.
    Reported by Chris Lamb. Closes: #809007.

 -- Santiago Vila <sanvila@debian.org>  Sat, 26 Dec 2015 19:08:10 +0100

diffutils (1:3.3-2) unstable; urgency=low

  * Drop AM_UPDATE_INFO_DIR=no, dh already takes care of that.
  * Add debian/upstream/signing-key.asc and improve debian/watch file.
  * Apply patch from Paul Eggert. diff now considers file names to be
    equal only if they are byte-for-byte equivalent. Closes: #704182.
  * Update config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Sep 2015 22:25:18 +0200

diffutils (1:3.3-1) unstable; urgency=low

  * New upstream release.
  * Switch from texi2html to makeinfo.
  * Source tarball is now in xz format.
  * Changed watch file to look for tar.xz sources.
  * Added --disable-silent-rules to configure command line.
  * Filenames with spaces are now allowed by diff. Closes: #99807.
  * Improved description of -I option. Closes: #648411.

 -- Santiago Vila <sanvila@debian.org>  Sat, 07 Sep 2013 14:43:28 +0200

diffutils (1:3.2-8) unstable; urgency=low

  * Added fix for gnulib compilation against eglibc 2.16, which no longer
    declares gets by default. Closes: #693346.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 13:28:12 +0100

diffutils (1:3.2-7) unstable; urgency=low

  * Updated config.guess and config.sub for arm64. Closes: #688965, #689617.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Oct 2012 18:12:38 +0200

diffutils (1:3.2-6) unstable; urgency=low

  * Forgot to update configure script after modifying m4/float_h.m4.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2012 21:30:06 +0200

diffutils (1:3.2-5) unstable; urgency=low

  * The previous change didn't work. Fix it the right way: Applied patch
    by Bruno Haible (taken from gnulib) fixing powerpc float issues.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2012 17:06:46 +0200

diffutils (1:3.2-4) unstable; urgency=medium

  * Modified gnulib-tests/Makefile.in to disable test-float,
    as it fails on powerpc.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2012 14:53:14 +0200

diffutils (1:3.2-3) unstable; urgency=low

  * Switch to dh. Should hopefully cross-build from source now.
    Closes: #664270.

 -- Santiago Vila <sanvila@debian.org>  Thu, 12 Apr 2012 20:20:46 +0200

diffutils (1:3.2-2) unstable; urgency=low

  * Dropped dummy "diff" binary package.
  * Build with hardened flags. Closes: #653853.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 Mar 2012 13:31:40 +0100
