=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: diffutils
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
-Build-Depends-Indep: texi2html (>= 1.82)
-Standards-Version: 3.9.2
+Maintainer: Santiago Vila <sanvila@debian.org>
+Build-Depends: debhelper (>= 9), texinfo
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/diffutils/
 
 Package: diffutils
 Essential: yes
 Architecture: any
 Pre-Depends: ${shlibs:Depends}
-Depends: dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends}
 Replaces: diff
 Suggests: diffutils-doc, wdiff
 Description: File comparison utilities
@@ -29,18 +28,10 @@
  to the complete files.  Given `diff' output, the `patch' program can
  update, or "patch", a copy of the file.
 
-Package: diff
-Section: oldlibs
-Priority: extra
-Architecture: all
-Pre-Depends: diffutils
-Description: dummy transitional package for diff -> diffutils
- This is a dummy package to aid in transitioning from diff to diffutils.
- It may be safely removed after upgrading to squeeze.
-
 Package: diffutils-doc
 Section: doc
 Priority: optional
 Architecture: all
+Depends: ${misc:Depends}
 Description: Documentation for GNU diffutils in HTML format
  This package contains the HTML documentation for GNU diffutils.
