=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

package = diffutils

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf doc/$(package)

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_installdocs:
	cd doc && makeinfo --html --split=chapter $(package).texi
	dh_installdocs -i doc/$(package)/*.html
	dh_installdocs -a NEWS
