## diffutils 3.5

=== debian/changelog ===
diffutils (1:3.5-3) unstable; urgency=medium

  * Add "sleep 1" to tests/colors after opening a fifo
    to avoid a race condition which makes the test to fail
    often on the ppc64el architecture. Thanks to Christoph Biedl.

 -- Santiago Vila <sanvila@debian.org>  Mon, 09 Jan 2017 23:55:10 +0100

diffutils (1:3.5-2) unstable; urgency=medium

  * Split override_dh_installdocs into -indep and -arch.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jan 2017 18:25:42 +0100

diffutils (1:3.5-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, as none of them is required anymore.
  * There are now --color and --palette options. Closes: #396485.
  * Exit status of diff for binary files that differ is now 1, not 2,
    as mandated by POSIX. Closes: #737180.
  * Option --no-dereference is now documented in manpage. Closes: #804544.

 -- Santiago Vila <sanvila@debian.org>  Wed, 31 Aug 2016 23:01:00 +0100
