=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: required
 Maintainer: Santiago Vila <sanvila@debian.org>
 Build-Depends: debhelper (>= 9), texinfo
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/diffutils/
 
 Package: diffutils
