## diffutils 3.6

=== debian/changelog ===
diffutils (1:3.6-1) unstable; urgency=medium

  * New upstream release.
  * Should now build with GCC 7. Closes: #853373.

 -- Santiago Vila <sanvila@debian.org>  Fri, 04 Aug 2017 23:20:16 +0200
