## diffutils 3.7

=== debian/changelog ===
diffutils (1:3.7-5) unstable; urgency=medium

  * Fix doc-base file. Closes: #978981.
    Documentation is now in /usr/share/doc/diffutils.
  * Include signature of upstream tarball in upload.

 -- Santiago Vila <sanvila@debian.org>  Fri, 01 Jan 2021 18:52:00 +0100

diffutils (1:3.7-4) unstable; urgency=medium

  * Update translations from the Translation Project. Closes: #978736.
    The updated po files are those who were already present in the
    original tarball and had all its 266 messages translated.
  * Update build-dependency on debhelper.
  * Add build-dependency on gettext.
  * Use https in homepage, copyright and watchfile.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Dec 2020 18:12:00 +0100

diffutils (1:3.7-3) unstable; urgency=medium

  * Disable tests/colors completely for buster. Closes: #922552.

 -- Santiago Vila <sanvila@debian.org>  Mon, 08 Apr 2019 14:04:00 +0200

diffutils (1:3.7-2) unstable; urgency=low

  * Increase sleeping time from 1 to 5 seconds in tests/colors for ppc64el.
    Closes: #922552 (hopefully).

 -- Santiago Vila <sanvila@debian.org>  Mon, 18 Feb 2019 14:03:30 +0100

diffutils (1:3.7-1) unstable; urgency=low

  * New upstream release, fixes a memory problem and makes
    diff --color compatible with less -R. See NEWS for details.
  * Rules-Requires-Root: no

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Feb 2019 23:50:00 +0100
