=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: utils
 Priority: required
 Maintainer: Santiago Vila <sanvila@debian.org>
-Build-Depends: debhelper (>= 9), texinfo
-Standards-Version: 3.9.8
-Homepage: http://www.gnu.org/software/diffutils/
+Build-Depends: debhelper-compat (= 13), texinfo, gettext
+Standards-Version: 4.5.1
+Homepage: https://www.gnu.org/software/diffutils/
+Rules-Requires-Root: no
 
 Package: diffutils
 Essential: yes
