=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

package = diffutils

override_dh_autoreconf:

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C po update-gmo

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf doc/$(package)
	rm -f po/*.gmo

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_installdocs-indep:
	cd doc && makeinfo --html --split=chapter $(package).texi
	dh_installdocs -i doc/$(package)/*.html

override_dh_installdocs-arch:
	dh_installdocs -a NEWS
