=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://ftp.gnu.org/gnu/diffutils/diffutils-(\d.+)\.tar\.xz
