=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: required
 Maintainer: Santiago Vila <sanvila@debian.org>
-Build-Depends: debhelper-compat (= 13), texinfo, gettext
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), texinfo
+Standards-Version: 4.6.1
 Homepage: https://www.gnu.org/software/diffutils/
 Rules-Requires-Root: no
