## diffutils 3.10

=== debian/changelog ===
diffutils (1:3.10-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:59 +0200

diffutils (1:3.10-1) unstable; urgency=low

  * New upstream release. Closes: #1050391.
  * Drop special treatment for loong64, should not be necessary anymore.

 -- Santiago Vila <sanvila@debian.org>  Sun, 22 Oct 2023 20:50:00 +0200
