=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: diffutils
 Section: utils
 Priority: required
-Maintainer: Santiago Vila <sanvila@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
 Build-Depends: debhelper-compat (= 13), texinfo
 Standards-Version: 4.6.1
 Homepage: https://www.gnu.org/software/diffutils/
