=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 package = diffutils
 
-# override_dh_autoreconf:
+override_dh_autoreconf:
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
