## diffutils 3.12

=== debian/changelog ===
diffutils (1:3.12-1) unstable; urgency=medium

  * New upstream release.
  * Drop "Rules-Requires-Root: no" (default).
  * Mark diffutils-doc as "Multi-Arch: foreign".
  * Add gnulib-l10n to Suggests.
  * Switch watch file to format version 5.

 -- Santiago Vila <sanvila@debian.org>  Sun, 19 Oct 2025 13:45:00 +0200

diffutils (1:3.10-4) unstable; urgency=medium

  * Add missing autopkgtest dependency on make.

 -- Santiago Vila <sanvila@debian.org>  Sun, 20 Apr 2025 20:05:00 +0200

diffutils (1:3.10-3) unstable; urgency=medium

  * Add Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Mar 2025 12:25:00 +0100

diffutils (1:3.10-2) unstable; urgency=medium

  * Add a preliminary debian/salsa-ci.yml.
  * Add autopkgtests. Closes: #1087835.
  * Do not trim Debian changelog.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 07 Jan 2025 12:15:00 +0100
