=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: diffutils
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
+Maintainer: Santiago Vila <sanvila@debian.org>
 Build-Depends: debhelper-compat (= 13), texinfo
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://www.gnu.org/software/diffutils/
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/sanvila/diffutils.git
+Vcs-Browser: https://salsa.debian.org/sanvila/diffutils
 
 Package: diffutils
 Essential: yes
@@ -14,7 +14,7 @@
 Pre-Depends: ${shlibs:Depends}
 Depends: ${misc:Depends}
 Replaces: diff
-Suggests: diffutils-doc, wdiff
+Suggests: diffutils-doc, wdiff, gnulib-l10n
 Description: File comparison utilities
  The diffutils package provides the diff, diff3, sdiff, and cmp programs.
  .
@@ -35,5 +35,6 @@
 Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Documentation for GNU diffutils in HTML format
  This package contains the HTML documentation for GNU diffutils.
