=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 
 override_dh_installdocs-arch:
 	dh_installdocs -a NEWS
+
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim
